develooper Front page | perl.ldap | Postings from April 2014

Re: Net::LDAP fails with latest ActiveState Perl, can be worked round by renoving INET6.pm

Thread Previous
From:
Peter Marschall
Date:
April 18, 2014 11:54
Subject:
Re: Net::LDAP fails with latest ActiveState Perl, can be worked round by renoving INET6.pm
Message ID:
3995935.gOyUmeIirR@moth
Hi,

On Wednesday, 2. April 2014 18:38:43 k.brown@mail.bbk.ac.uk wrote:
> Similar error to that described by Glen Tanner a few weeks ago.
> 
> Recently installed a new PC with updated version of Perl::
> 
> D:\temp>perl -v
> This is perl 5, version 16, subversion 3 (v5.16.3) built for
> MSWin32-x64-multi-thread
> [...]
> Binary build 1603 [296746] provided by ActiveState
> http://www.ActiveState.com Built Mar 13 2013 13:31:10
> 
> [....]
> 
> Following some hints on other mailing lists referring to Strawberry
> Perl rather than ActiveState, I renamed
> C:\Perl64\site\lib\IO\Socket\INET6.pm  and it worked.
> 
> So somewhere there is a bug.

I concur, but I am pretty sure the error is not in perl-ldap.
perl-ldap is just one of the victims of a break between some
versions of ActiveState / Strawberry Perl / IO::Socket::INET6.

What versions of 
* perl-ldap
* IO::Socket::INET6 
are you using?

Instead of removing IPv6 support (this is what happens
if you rename/remove IO::Socket::INET6), you may try
the following:
* install IO::Socket::IP
* install latest perl-ldap

Recent perl-ldap versions prefer IO::Socket::IP over IO::Socket::INET6
when the former one is installed.
If  IO::Socket::IP does not suffer the problems that recent versions
of IO::Socket::INET6 seem to have in Windows, then everything should
work as before including IPv6 support.

Best
PEter

-- 
Peter Marschall
peter@adpm.de


Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About